#include "printlib.h"

int main(){
    int x,y,z,t;
    
    t = 0;
    x = 0;
    while(x<10){
        y = 0;
        while(y<4){
            t = t + y;
            z = 1;
            while(z<13){
                t = t + 1;
                z = 2 * z;
            }
            y = y + 1;
        }
        while(y<7){
            t = t + (y/2);
            y = y + 2;
        }
        x = x + 1;
    }
    println_int(x);
    println_int(y);
    println_int(z);
    return 0;
}

// EXPECTED
// 10
// 8
// 16
